# Well Rounded : Bep Edition
## Features
WellRounded offers a plethora of ways to alter the gameplay.
Infinite Energy, instant crafting and hand mining, faster
movement, jump height, drone count and speed, energy 
generation, and stack sizes. You can set many multipliers to 
meet your playstyle needs. 

Open to ideas for other things to add. If they're possible I'll
try to get them in.

# Features:
## ----  Full List of features/variables in the mod   ----
EnableInfiniteEnergy - True/False Enable/Disable Infinite Energy
EnableInstantMining - True/False Enable/Disable Infinite Mecha Mining Speed
EnableInstantCrafting - True/False Enable/Disable Infinite Mecha Crafting Speed
EnableInfiniteSoil - True/False Enable/Disable Infinite Soil

MoveSpeedMultiplier - Multiplier (Vanilla * This Value) - Multiplies Movement Speed by this value (1 = no change)
JumpHeightMultiplier - Multiplier (Vanilla * This Value) - Multiplies Jump Heigh by this value (1 = no change)
ReachMultiplier - Multiplier (Vanilla * This Value) - Multiplies Build Distance by this value (1 = no change)

WindPowerMultiplier - Multiplier (Vanilla * This Value) - Multiplies Wind Generator Power Output by this value (1 = no change)
SolarPowerMultiplier - Multiplier (Vanilla * This Value) - Multiplies Solar Generator Power Output by this value (1 = no change)
FuelDensityMultiplier - Multiplier (Vanilla * This Value) - Multiplies Fuel Density by this value (For example, Coal has X joules of energy, mod multiplies this) (1 = no change)
GeneratorPowerMultiplier - Multiplier (Vanilla * This Value) - Multiplies Thermal Generator Power Output by this value (1 = no change)
StackSizeMultiplier - Multiplier (Vanilla * This Value) - Multiplies Default Stack Sizes by this value (A 2 will double stack sizes) (1 = no change)

# --= Tech Modifiers Affect the tech tree by augmenting the values that already exist =--
# --=              Extra means on top of what vanilla values already are              =--

ExtraStoragePer - EXTRA rows of storage PER Research (1 = 1 extra row) (0 = no change)
ExtraSolarLossPer - EXTRA Solar Loss Rate savings PER Research in % (Vanilla is 0.9 = 10% Extra power, if this value = 0.15, tech is now 0.75 = 25% Extra power) (0 = no change)
ExtraSortStackPer - EXTRA Sorter Stack size PER Research (0 = no change)
ExtraDroneCapPer - EXTRA Drones PER Research (0 = no change)
ExtraShipCapPer - EXTRA Logistics Ship Capacity PER Research (0 = no change)
ExtraDroneSpeedPer - EXTRA Mech Drone Speed PER Research (0 = no change)
ExtraShipSpeedPer - EXTRA Logistics Ship Speed PER Research (0 = no change) (1 = 100% Extra speed)
ExtraMineEfficiencyPer - EXTRA Mining Efficiency PER Research (0 = no change) (Vanilla is 0.94 = 6% Gain in Efficiency, if this value = 0.09 then Tech changes to 0.85 = 15% Efficiency gain)
ExtraMineSpeedPer - EXTRA Mining Speed PER Research (0 = no change) (Vanilla is 0.1 = 10% speed boost, if this value = 0.1 then tech changes to 0.2 = 20% faster.)
ExtraResearchSpeedPer - EXTRA Research Speed PER Research (0 = no change) (1 = 100% faster than the vanilla tech)
ExtraWalkSpeedPer - EXTRA Walking Speed PER Research (0 = no change) (Vanilla ranges from 1 to 2, i.e. 100% - 200%, this value adds to these default values.)

HashNeededReduction - Reduces Research Hash Cost; Vanilla * (1-Value), i.e. a 0.75 here = Vanilla * (1-0.75) or cutting cost by 75% a 1 would make research free. (0 = no change)

ExtraSolarSailLifePer - EXTRA Solar Sail Life (in seconds) PER Research (Game starts with 1800, research extends that to 3600 or 1 hour, this value ADDS to all the relevant researches) (0 = no change)
ExtraSailSpeedPer - EXTRA Mecha Sail Speed (Space Travel Speed) PER Research (Vanilla only has 1 research that changes this. See Next Feature.) (0 = no change)
ExtraMechCraftSpeedPer - EXTRA Mech Crafting Speed PER Research (Vanilla has 2 techs that increase speed by 50% each, this value ADDS to that speed. A value here of 0.5 means the effect is 100%) (0 = no change)

EnableDebugMode - Internal Debug mode, prevents Log file Spam. Turn on if you are reporting a bug to see more details.

ExtraSailLevelsPer not used...

## Installation
See [here](https://dsp-wiki.com/Modding:Getting_Started) for information on how to install mods

**Feel free to contact me on discord (Buggi#8914) with any feedback, bugs or suggestions**
My Channel : https://www.youtube.com/c/FlexibleGames
Dedicated to moddable games and open world adventures!

## Changelog
### v1.0.0
- Initial Port to BepInEx framework from UMF.
